<div class="container">
  <div class="card-body">
    <h5 class="card-title">New order</h5>
    <div class="card-text">
      <form>
        <div class="form-group row">
          <label for="emailInput" class="col-sm-2 col-form-label">Email:</label>
          <div class="col-sm-10">
            <input type="text" class="form-control" id="emailInput" name="email" [(ngModel)]="order.email">
          </div>
        </div>
        <div class="form-group row">
          <label for="productSelection" class="col-sm-2 col-form-label">Select product:</label>
          <select id="productSelection" class="col-sm-5" name="productId" [(ngModel)]="selectedProductId">
            <option *ngFor="let p of products" [ngValue]="p.id">{{p.id}} - {{p.name}} - {{p.price}} $</option>
          </select>

          <label for="quantityInput" class="col-sm-3 col-form-label">Quantity:</label>
          <div class="col-sm-2">
            <input type="text" class="form-control" id="quantityInput" name="quantity" [(ngModel)]="inputQuantity">
          </div>
        </div>
        <div class="form-group row">
          <button (click)="addOrderItem()" class="btn btn-success">Add Item</button>
        </div>
      </form>
      <div>
        <h3>Order summary</h3>
        <ul class="list-group" *ngIf="order.orderItems.length !== 0">
          <li class="list-group-item" *ngFor="let orderItem of order.orderItems">{{orderItem.quantity}} x {{getProductById(orderItem.productId).name}}</li>
        </ul>
        <p *ngIf="order.orderItems.length === 0">No items were selected yet!</p>
      </div>
    </div>
    <div>
      <a routerLink="/orders" routerLinkActive="active" class="btn btn-warning">Back to Orders</a>
      <a (click)="confirm()" class="btn btn-success">Confirm</a>
    </div>
  </div>
</div>
